import { AnchoredRadialSeries } from "./AnchoredRadialSeries";
import { Series } from "./Series";
import { SeriesView } from "./SeriesView";
import { Type } from "igniteui-angular-core";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { Pool$1 } from "igniteui-angular-core";
import { Path } from "igniteui-angular-core";
import { RadialFrame } from "./RadialFrame";
import { RadialBaseView } from "./RadialBaseView";
import { List$1 } from "igniteui-angular-core";
import { Rect } from "igniteui-angular-core";
import { ChartSelection } from "./ChartSelection";
import { SeriesSelectionBehavior } from "./SeriesSelectionBehavior";
import { AnchoredRadialSeriesView } from "./AnchoredRadialSeriesView";
import { Rectangle } from "igniteui-angular-core";
import { RenderingContext } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class RadialColumnSeries extends AnchoredRadialSeries {
    static $t: Type;
    protected bk(): Series;
    protected get_e1(): boolean;
    protected get_fm(): boolean;
    protected jn(): number;
    protected ct(): SeriesView;
    q7(a: SeriesView): void;
    adx: RadialColumnSeriesView;
    constructor();
    ac(): void;
    protected rg(a: any, b: string, c: any, d: any): void;
    ady: number;
    adz: number;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    pb(a: boolean, b: SeriesView): void;
    protected get_ef(): boolean;
    iy(): number;
    abk(a: RadialFrame, b: RadialBaseView): void;
    ak(a: Rect, b: SeriesSelectionBehavior): ChartSelection[];
    qa(a: Rect, b: List$1<ChartSelection>, c: SeriesSelectionBehavior): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class RadialColumnSeriesView extends AnchoredRadialSeriesView {
    static $t: Type;
    protected di: RadialColumnSeries;
    constructor(a: RadialColumnSeries);
    dj: Pool$1<Path>;
    a4(): void;
    protected dk: List$1<Path>;
    ds(): Path;
    dl(a: Path): void;
    dn(a: Path): void;
    dm(a: Path): void;
    dq(a: Rectangle, b: number, c: number, d: number, e: number, f: number): void;
    protected bs(a: any, b: number): void;
    protected bt(a: any, b: number): void;
    protected ak(a: number): any;
    private dr;
    protected aj(a: number): any;
    protected bj(a: RenderingContext, b: boolean): void;
    ax(a: any): void;
    dp(): void;
}
